'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var CandyMachine = require('./CandyMachine.cjs');
var accounts = require('./accounts.cjs');
var pdas = require('./pdas.cjs');
var Operation = require('../../types/Operation.cjs');
var Account = require('../../types/Account.cjs');

// Operation
// -----------------

const Key = 'FindCandyMachineByAddressOperation';
const findCandyMachineByAddressOperation = Operation.useOperation(Key);
// -----------------
// Handler
// -----------------
const findCandyMachineByAddressOperationHandler = {
  handle: async (operation, metaplex) => {
    const {
      address,
      commitment
    } = operation.input;
    const collectionPda = pdas.findCandyMachineCollectionPda(address);
    const accounts$1 = await metaplex.rpc().getMultipleAccounts([address, collectionPda], commitment);
    const unparsedAccount = accounts$1[0];
    Account.assertAccountExists(unparsedAccount);
    const account = accounts.toCandyMachineAccount(unparsedAccount);
    const collectionAccount = accounts.parseCandyMachineCollectionAccount(accounts$1[1]);
    return CandyMachine.toCandyMachine(account, unparsedAccount, collectionAccount);
  }
};

exports.findCandyMachineByAddressOperation = findCandyMachineByAddressOperation;
exports.findCandyMachineByAddressOperationHandler = findCandyMachineByAddressOperationHandler;
//# sourceMappingURL=findCandyMachineByAddress.cjs.map
