'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var pdas = require('./pdas.cjs');
var findNftsByCreator = require('../nftModule/findNftsByCreator.cjs');
var Operation = require('../../types/Operation.cjs');

// Operation
// -----------------

const Key = 'FindMintedNftsByCandyMachineOperation';
const findMintedNftsByCandyMachineOperation = Operation.useOperation(Key);
// -----------------
// Handler
// -----------------
const findMintedNftsByCandyMachineOperationHandler = {
  handle: async (operation, metaplex, scope) => {
    const {
      candyMachine,
      version = 2,
      commitment
    } = operation.input;
    const firstCreator = version === 2 ? pdas.findCandyMachineCreatorPda(candyMachine) : candyMachine;
    return metaplex.operations().execute(findNftsByCreator.findNftsByCreatorOperation({
      creator: firstCreator,
      position: 1,
      commitment
    }), scope);
  }
};

exports.findMintedNftsByCandyMachineOperation = findMintedNftsByCandyMachineOperation;
exports.findMintedNftsByCandyMachineOperationHandler = findMintedNftsByCandyMachineOperationHandler;
//# sourceMappingURL=findMintedNftsByCandyMachine.cjs.map
