'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var web3_js = require('@safecoin/web3.js');
var GpaBuilder = require('../../utils/GpaBuilder.cjs');

// TODO(thlorenz): copied from candy machine SDK
// SDK should either provide a GPA builder or expose this discriminator
const candyMachineDiscriminator = [51, 173, 177, 113, 25, 241, 109, 189];
const AUTHORITY = candyMachineDiscriminator.length;
const WALLET = AUTHORITY + web3_js.PublicKey.default.toBytes().byteLength;
class CandyMachineGpaBuilder extends GpaBuilder.GpaBuilder {
  whereDiscriminator(discrimator) {
    return this.where(0, Buffer.from(discrimator));
  }

  candyMachineAccounts() {
    return this.whereDiscriminator(candyMachineDiscriminator);
  } // wallet same as solTreasury


  candyMachineAccountsForWallet(wallet) {
    return this.candyMachineAccounts().where(WALLET, wallet.toBase58());
  }

  candyMachineAccountsForAuthority(authority) {
    return this.candyMachineAccounts().where(AUTHORITY, authority.toBase58());
  }

}

exports.CandyMachineGpaBuilder = CandyMachineGpaBuilder;
//# sourceMappingURL=gpaBuilders.cjs.map
