'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var CandyMachinesClient = require('./CandyMachinesClient.cjs');
var createCandyMachine = require('./createCandyMachine.cjs');
var findCandyMachineByAddress = require('./findCandyMachineByAddress.cjs');
var findCandyMachinesByPublicKeyField = require('./findCandyMachinesByPublicKeyField.cjs');
var findMintedNftsByCandyMachine = require('./findMintedNftsByCandyMachine.cjs');
var insertItemsToCandyMachine = require('./insertItemsToCandyMachine.cjs');
var mintCandyMachine = require('./mintCandyMachine.cjs');
var updateCandyMachine = require('./updateCandyMachine.cjs');

const candyMachineModule = () => ({
  install(metaplex) {
    const op = metaplex.operations();
    op.register(createCandyMachine.createCandyMachineOperation, createCandyMachine.createCandyMachineOperationHandler);
    op.register(findCandyMachineByAddress.findCandyMachineByAddressOperation, findCandyMachineByAddress.findCandyMachineByAddressOperationHandler);
    op.register(findCandyMachinesByPublicKeyField.findCandyMachinesByPublicKeyFieldOperation, findCandyMachinesByPublicKeyField.findCandyMachinesByPublicKeyFieldOperationHandler);
    op.register(findMintedNftsByCandyMachine.findMintedNftsByCandyMachineOperation, findMintedNftsByCandyMachine.findMintedNftsByCandyMachineOperationHandler);
    op.register(insertItemsToCandyMachine.insertItemsToCandyMachineOperation, insertItemsToCandyMachine.InsertItemsToCandyMachineOperationHandler);
    op.register(mintCandyMachine.mintCandyMachineOperation, mintCandyMachine.mintCandyMachineOperationHandler);
    op.register(updateCandyMachine.updateCandyMachineOperation, updateCandyMachine.updateCandyMachineOperationHandler);

    metaplex.candyMachines = function () {
      return new CandyMachinesClient.CandyMachinesClient(this);
    };
  }

});

exports.candyMachineModule = candyMachineModule;
//# sourceMappingURL=plugin.cjs.map
