'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var createNft = require('./createNft.cjs');
var printNewEdition = require('./printNewEdition.cjs');
var updateNft = require('./updateNft.cjs');
var useNft = require('./useNft.cjs');

class NftBuildersClient {
  constructor(metaplex) {
    this.metaplex = metaplex;
  }

  create(input) {
    return createNft.createNftBuilder(this.metaplex, input);
  }

  printNewEdition(input) {
    return printNewEdition.printNewEditionBuilder(this.metaplex, input);
  }

  update(input) {
    return updateNft.updateNftBuilder(this.metaplex, input);
  }

  use(input) {
    return useNft.useNftBuilder(this.metaplex, input);
  }

}

exports.NftBuildersClient = NftBuildersClient;
//# sourceMappingURL=NftBuildersClient.cjs.map
