'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var Operation = require('../../types/Operation.cjs');

// -----------------
// Operation
// -----------------
const Key = 'LoadMetadataOperation';
const loadMetadataOperation = Operation.useOperation(Key);
// -----------------
// Handler
// -----------------
const loadMetadataOperationHandler = {
  handle: async (operation, metaplex, scope) => {
    const {
      metadata
    } = operation.input;

    try {
      const json = await metaplex.storage().downloadJson(metadata.uri, scope);
      return { ...metadata,
        lazy: false,
        json
      };
    } catch (error) {
      return { ...metadata,
        lazy: false,
        json: null
      };
    }
  }
};

exports.loadMetadataOperation = loadMetadataOperation;
exports.loadMetadataOperationHandler = loadMetadataOperationHandler;
//# sourceMappingURL=loadMetadata.cjs.map
