'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var Token = require('./Token.cjs');
var accounts = require('./accounts.cjs');
var Operation = require('../../types/Operation.cjs');

// Operation
// -----------------

const Key = 'FindTokenByAddressOperation';
const findTokenByAddressOperation = Operation.useOperation(Key);
// -----------------
// Handler
// -----------------
const findTokenByAddressOperationHandler = {
  handle: async (operation, metaplex) => {
    const {
      address,
      commitment
    } = operation.input;
    const account = accounts.toTokenAccount(await metaplex.rpc().getAccount(address, commitment));
    return Token.toToken(account);
  }
};

exports.findTokenByAddressOperation = findTokenByAddressOperation;
exports.findTokenByAddressOperationHandler = findTokenByAddressOperationHandler;
//# sourceMappingURL=findTokenByAddress.cjs.map
