'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var Token = require('./Token.cjs');
var accounts = require('./accounts.cjs');
var Mint = require('./Mint.cjs');
var Operation = require('../../types/Operation.cjs');

// Operation
// -----------------

const Key = 'FindTokenWithMintByAddressOperation';
const findTokenWithMintByAddressOperation = Operation.useOperation(Key);
// -----------------
// Handler
// -----------------
const findTokenWithMintByAddressOperationHandler = {
  handle: async (operation, metaplex) => {
    const {
      address,
      commitment
    } = operation.input;
    const tokenAccount = accounts.toTokenAccount(await metaplex.rpc().getAccount(address, commitment));
    const mintAccount = accounts.toMintAccount(await metaplex.rpc().getAccount(tokenAccount.data.mint, commitment));
    return Token.toTokenWithMint(tokenAccount, Mint.toMint(mintAccount));
  }
};

exports.findTokenWithMintByAddressOperation = findTokenWithMintByAddressOperation;
exports.findTokenWithMintByAddressOperationHandler = findTokenWithMintByAddressOperationHandler;
//# sourceMappingURL=findTokenWithMintByAddress.cjs.map
