import { createAuctionHouseBuilder } from './createAuctionHouse.mjs';
import { createBidBuilder } from './createBid.mjs';
import { createListingBuilder } from './createListing.mjs';
import { updateAuctionHouseBuilder } from './updateAuctionHouse.mjs';

class AuctionsBuildersClient {
  constructor(metaplex) {
    this.metaplex = metaplex;
  }

  createAuctionHouse(input) {
    return createAuctionHouseBuilder(this.metaplex, input);
  }

  createBid(input) {
    return createBidBuilder(this.metaplex, input);
  }

  createListing(input) {
    return createListingBuilder(this.metaplex, input);
  }

  updateAuctionHouse(input) {
    return updateAuctionHouseBuilder(this.metaplex, input);
  }

}

export { AuctionsBuildersClient };
//# sourceMappingURL=AuctionsBuildersClient.mjs.map
