import { CandyMachinesClient } from './CandyMachinesClient.mjs';
import { createCandyMachineOperation, createCandyMachineOperationHandler } from './createCandyMachine.mjs';
import { findCandyMachineByAddressOperation, findCandyMachineByAddressOperationHandler } from './findCandyMachineByAddress.mjs';
import { findCandyMachinesByPublicKeyFieldOperation, findCandyMachinesByPublicKeyFieldOperationHandler } from './findCandyMachinesByPublicKeyField.mjs';
import { findMintedNftsByCandyMachineOperation, findMintedNftsByCandyMachineOperationHandler } from './findMintedNftsByCandyMachine.mjs';
import { insertItemsToCandyMachineOperation, InsertItemsToCandyMachineOperationHandler } from './insertItemsToCandyMachine.mjs';
import { mintCandyMachineOperation, mintCandyMachineOperationHandler } from './mintCandyMachine.mjs';
import { updateCandyMachineOperation, updateCandyMachineOperationHandler } from './updateCandyMachine.mjs';

const candyMachineModule = () => ({
  install(metaplex) {
    const op = metaplex.operations();
    op.register(createCandyMachineOperation, createCandyMachineOperationHandler);
    op.register(findCandyMachineByAddressOperation, findCandyMachineByAddressOperationHandler);
    op.register(findCandyMachinesByPublicKeyFieldOperation, findCandyMachinesByPublicKeyFieldOperationHandler);
    op.register(findMintedNftsByCandyMachineOperation, findMintedNftsByCandyMachineOperationHandler);
    op.register(insertItemsToCandyMachineOperation, InsertItemsToCandyMachineOperationHandler);
    op.register(mintCandyMachineOperation, mintCandyMachineOperationHandler);
    op.register(updateCandyMachineOperation, updateCandyMachineOperationHandler);

    metaplex.candyMachines = function () {
      return new CandyMachinesClient(this);
    };
  }

});

export { candyMachineModule };
//# sourceMappingURL=plugin.mjs.map
