import assert from '../../utils/assert.mjs';

const isNft = value => typeof value === 'object' && value.model === 'nft' && !value.lazy;
function assertNft(value) {
  assert(isNft(value), `Expected Nft model`);
}
const toNft = (metadata, mint, edition) => ({ ...metadata,
  model: 'nft',
  lazy: false,
  metadataAddress: metadata.address,
  mint,
  edition
});
const isLazyNft = value => typeof value === 'object' && value.model === 'nft' && value.lazy;
function assertLazyNft(value) {
  assert(isLazyNft(value), `Expected LazyNft model`);
}
const toLazyNft = metadata => ({ ...metadata,
  model: 'nft',
  lazy: true,
  metadataAddress: metadata.address
});

export { assertLazyNft, assertNft, isLazyNft, isNft, toLazyNft, toNft };
//# sourceMappingURL=Nft.mjs.map
