import { useOperation } from '../../types/Operation.mjs';

// -----------------
// Operation
// -----------------
const Key = 'LoadMetadataOperation';
const loadMetadataOperation = useOperation(Key);
// -----------------
// Handler
// -----------------
const loadMetadataOperationHandler = {
  handle: async (operation, metaplex, scope) => {
    const {
      metadata
    } = operation.input;

    try {
      const json = await metaplex.storage().downloadJson(metadata.uri, scope);
      return { ...metadata,
        lazy: false,
        json
      };
    } catch (error) {
      return { ...metadata,
        lazy: false,
        json: null
      };
    }
  }
};

export { loadMetadataOperation, loadMetadataOperationHandler };
//# sourceMappingURL=loadMetadata.mjs.map
