import type { PublicKey } from '@safecoin/web3.js';
import { Pda } from "../../types";
import { AuctionHouseAccount } from './accounts';
import { Mint } from '../tokenModule';
import { MintWithMetadata } from '../nftModule';
export declare type AuctionHouse = Readonly<{
    model: 'auctionHouse';
    address: Pda;
    creatorAddress: PublicKey;
    authorityAddress: PublicKey;
    treasuryMint: Mint | MintWithMetadata;
    feeAccountAddress: Pda;
    treasuryAccountAddress: Pda;
    feeWithdrawalDestinationAddress: PublicKey;
    treasuryWithdrawalDestinationAddress: PublicKey;
    sellerFeeBasisPoints: number;
    requiresSignOff: boolean;
    canChangeSalePrice: boolean;
    isNative: boolean;
}>;
export declare const isAuctionHouse: (value: any) => value is Readonly<{
    model: 'auctionHouse';
    address: Pda;
    creatorAddress: PublicKey;
    authorityAddress: PublicKey;
    treasuryMint: Mint | MintWithMetadata;
    feeAccountAddress: Pda;
    treasuryAccountAddress: Pda;
    feeWithdrawalDestinationAddress: PublicKey;
    treasuryWithdrawalDestinationAddress: PublicKey;
    sellerFeeBasisPoints: number;
    requiresSignOff: boolean;
    canChangeSalePrice: boolean;
    isNative: boolean;
}>;
export declare function assertAuctionHouse(value: any): asserts value is AuctionHouse;
export declare const toAuctionHouse: (auctionHouseAccount: AuctionHouseAccount, treasuryMint: Mint | MintWithMetadata) => AuctionHouse;
