import { PublicKey } from '@safecoin/web3.js';
import { BigNumber, DateTime, Pda, SolAmount, SplTokenAmount } from "../../types";
import { BidReceiptAccount } from './accounts';
import { MintWithMetadata, TokenWithMetadata } from '../nftModule';
import { Option } from "../../utils";
import { AuctionHouse } from './AuctionHouse';
export declare type Bid = Readonly<{
    model: 'bid';
    lazy: false;
    auctionHouse: AuctionHouse;
    tradeStateAddress: Pda;
    buyerAddress: PublicKey;
    bookkeeperAddress: Option<PublicKey>;
    receiptAddress: Option<Pda>;
    purchaseReceiptAddress: Option<PublicKey>;
    price: SolAmount | SplTokenAmount;
    tokens: SplTokenAmount;
    createdAt: DateTime;
    canceledAt: Option<DateTime>;
} & ({
    isPublic: false;
    token: TokenWithMetadata;
} | {
    isPublic: true;
    mint: MintWithMetadata;
})>;
export declare const isBid: (value: any) => value is Bid;
export declare function assertBid(value: any): asserts value is Bid;
export declare const toBid: (account: BidReceiptAccount, auctionHouseModel: AuctionHouse, metadataModel: TokenWithMetadata | MintWithMetadata) => Bid;
export declare type LazyBid = Omit<Bid, 'lazy' | 'token' | 'mint' | 'tokens'> & Readonly<{
    lazy: true;
    metadataAddress: PublicKey;
    tokenAddress: Option<PublicKey>;
    tokens: BigNumber;
}>;
export declare const isLazyBid: (value: any) => value is LazyBid;
export declare function assertLazyBid(value: any): asserts value is LazyBid;
export declare const toLazyBid: (account: BidReceiptAccount, auctionHouseModel: AuctionHouse) => LazyBid;
