import type { Commitment } from '@safecoin/web3.js';
import { Operation, OperationHandler } from "../../types";
import { LazyListing, Listing } from './Listing';
declare const Key: "LoadListingOperation";
export declare const loadListingOperation: import("../../types").OperationConstructor<LoadListingOperation, "LoadListingOperation", LoadListingInput, Readonly<{
    model: "listing";
    lazy: false;
    auctionHouse: Readonly<{
        model: "auctionHouse";
        address: import("@/types").Pda;
        creatorAddress: import("@safecoin/web3.js").PublicKey;
        authorityAddress: import("@safecoin/web3.js").PublicKey;
        treasuryMint: Readonly<{
            model: "mint";
            address: import("@safecoin/web3.js").PublicKey;
            mintAuthorityAddress: import("@/utils").Option<import("@safecoin/web3.js").PublicKey>;
            freezeAuthorityAddress: import("@/utils").Option<import("@safecoin/web3.js").PublicKey>;
            decimals: number;
            supply: import("@/types").SplTokenAmount;
            isWrappedSol: boolean;
            currency: import("@/types").SplTokenCurrency;
        }> | import("..").MintWithMetadata;
        feeAccountAddress: import("@/types").Pda;
        treasuryAccountAddress: import("@/types").Pda;
        feeWithdrawalDestinationAddress: import("@safecoin/web3.js").PublicKey;
        treasuryWithdrawalDestinationAddress: import("@safecoin/web3.js").PublicKey;
        sellerFeeBasisPoints: number;
        requiresSignOff: boolean;
        canChangeSalePrice: boolean;
        isNative: boolean;
    }>;
    token: import("..").TokenWithMetadata;
    tradeStateAddress: import("@/types").Pda;
    sellerAddress: import("@safecoin/web3.js").PublicKey;
    bookkeeperAddress: import("@/utils").Option<import("@safecoin/web3.js").PublicKey>;
    receiptAddress: import("@/utils").Option<import("@/types").Pda>;
    purchaseReceiptAddress: import("@/utils").Option<import("@safecoin/web3.js").PublicKey>;
    price: import("@/types").SplTokenAmount | import("@/types").SolAmount;
    tokens: import("@/types").SplTokenAmount;
    createdAt: import("@/types").DateTime;
    canceledAt: import("@/utils").Option<import("@/types").DateTime>;
}>>;
export declare type LoadListingOperation = Operation<typeof Key, LoadListingInput, Listing>;
export declare type LoadListingInput = {
    lazyListing: LazyListing;
    loadJsonMetadata?: boolean;
    commitment?: Commitment;
};
export declare const loadListingOperationHandler: OperationHandler<LoadListingOperation>;
export {};
