import { MetaplexError, MetaplexErrorInputWithoutSource } from "../../errors";
import { CandyMachineItem, EndSettings } from './CandyMachine';
import { BigNumber, DateTime } from "../../types";
import { Option } from "../../utils";
export declare class CandyMachineError extends MetaplexError {
    constructor(input: MetaplexErrorInputWithoutSource);
}
export declare class CandyMachineIsFullError extends CandyMachineError {
    constructor(assetIndex: BigNumber, itemsAvailable: BigNumber, cause?: Error);
}
export declare class CandyMachineIsEmptyError extends CandyMachineError {
    constructor(itemsAvailable: BigNumber, cause?: Error);
}
export declare class CandyMachineCannotAddAmountError extends CandyMachineError {
    constructor(index: BigNumber, amount: number, itemsAvailable: BigNumber, cause?: Error);
}
export declare class CandyMachineAddItemConstraintsViolatedError extends CandyMachineError {
    constructor(index: BigNumber, item: CandyMachineItem, cause?: Error);
}
export declare class CandyMachineAuthorityRequiredAsASignerError extends CandyMachineError {
    constructor(cause?: Error);
}
export declare class CandyMachineNotLiveError extends CandyMachineError {
    constructor(goLiveDate: Option<DateTime>, cause?: Error);
}
export declare class CandyMachineEndedError extends CandyMachineError {
    constructor(endSetting: EndSettings, cause?: Error);
}
export declare class CandyMachineBotTaxError extends CandyMachineError {
    constructor(explorerLink: string, cause: Error);
}
