import { Pda } from "../../types";
import { LazyMetadata, Metadata } from './Metadata';
import { Mint } from '../tokenModule';
import { NftEdition } from './NftEdition';
export declare type Nft = Omit<Metadata, 'model' | 'address'> & Readonly<{
    model: 'nft';
    lazy: false;
    metadataAddress: Pda;
    mint: Mint;
    edition: NftEdition;
}>;
export declare const isNft: (value: any) => value is Nft;
export declare function assertNft(value: any): asserts value is Nft;
export declare const toNft: (metadata: Metadata, mint: Mint, edition: NftEdition) => Nft;
export declare type LazyNft = Omit<Nft, 'lazy' | 'mint' | 'edition' | 'json'> & Readonly<{
    lazy: true;
}>;
export declare const isLazyNft: (value: any) => value is LazyNft;
export declare function assertLazyNft(value: any): asserts value is LazyNft;
export declare const toLazyNft: (metadata: Metadata | LazyMetadata) => LazyNft;
