import { Edition, MasterEditionV1, MasterEditionV2, Metadata } from '@leda-mint-io/lpl-token-metadata';
import { Account } from "../../types";
export declare type MetadataAccount = Account<Metadata>;
export declare const parseMetadataAccount: import("../../types").AccountParsingFunction<Metadata>;
export declare const toMetadataAccount: import("../../types").AccountParsingAndAssertingFunction<Metadata>;
export declare type OriginalOrPrintEditionAccountData = OriginalEditionAccountData | PrintEditionAccountData;
export declare type OriginalOrPrintEditionAccount = Account<OriginalOrPrintEditionAccountData>;
export declare const parseOriginalOrPrintEditionAccount: import("../../types").AccountParsingFunction<OriginalOrPrintEditionAccountData>;
export declare const toOriginalOrPrintEditionAccount: import("../../types").AccountParsingAndAssertingFunction<OriginalOrPrintEditionAccountData>;
export declare const isOriginalEditionAccount: (account: OriginalOrPrintEditionAccount) => account is Readonly<{
    publicKey: import("@safecoin/web3.js").PublicKey;
    executable: boolean;
    owner: import("@safecoin/web3.js").PublicKey;
    lamports: number;
    data: OriginalEditionAccountData;
    rentEpoch?: number | undefined;
}>;
export declare const isPrintEditionAccount: (account: OriginalOrPrintEditionAccount) => account is Readonly<{
    publicKey: import("@safecoin/web3.js").PublicKey;
    executable: boolean;
    owner: import("@safecoin/web3.js").PublicKey;
    lamports: number;
    data: Edition;
    rentEpoch?: number | undefined;
}>;
export declare type OriginalEditionAccountData = MasterEditionV1 | MasterEditionV2;
export declare type OriginalEditionAccount = Account<OriginalEditionAccountData>;
export declare const parseOriginalEditionAccount: import("../../types").AccountParsingFunction<OriginalEditionAccountData>;
export declare const toOriginalEditionAccount: import("../../types").AccountParsingAndAssertingFunction<OriginalEditionAccountData>;
export declare type PrintEditionAccountData = Edition;
export declare type PrintEditionAccount = Account<PrintEditionAccountData>;
export declare const parsePrintEditionAccount: import("../../types").AccountParsingFunction<Edition>;
export declare const toPrintEditionAccount: import("../../types").AccountParsingAndAssertingFunction<Edition>;
