import { ConfirmOptions, PublicKey } from '@safecoin/web3.js';
import { Collection, Uses } from '@leda-mint-io/lpl-token-metadata';
import { Operation, Signer, OperationHandler, Creator } from "../../types";
import { LazyNft, Nft } from './Nft';
import { Metaplex } from "../../Metaplex";
import { Option, TransactionBuilder } from "../../utils";
import { SendAndConfirmTransactionResponse } from '../rpcModule';
declare const Key: "UpdateNftOperation";
export declare const updateNftOperation: import("../../types").OperationConstructor<UpdateNftOperation, "UpdateNftOperation", UpdateNftInput, UpdateNftOutput>;
export declare type UpdateNftOperation = Operation<typeof Key, UpdateNftInput, UpdateNftOutput>;
export interface UpdateNftInput {
    nft: Nft | LazyNft;
    updateAuthority?: Signer;
    newUpdateAuthority?: PublicKey;
    name?: string;
    symbol?: string;
    uri?: string;
    sellerFeeBasisPoints?: number;
    creators?: Creator[];
    collection?: Option<Collection>;
    uses?: Option<Uses>;
    primarySaleHappened?: boolean;
    isMutable?: boolean;
    confirmOptions?: ConfirmOptions;
}
export interface UpdateNftOutput {
    response: SendAndConfirmTransactionResponse;
}
export declare const updateNftOperationHandler: OperationHandler<UpdateNftOperation>;
export declare type UpdateNftBuilderParams = Omit<UpdateNftInput, 'confirmOptions'> & {
    updateMetadataInstructionKey?: string;
};
export declare const updateNftBuilder: (metaplex: Metaplex, params: UpdateNftBuilderParams) => TransactionBuilder;
export {};
