import type { PublicKey } from '@safecoin/web3.js';
import { SplTokenCurrency, SplTokenAmount } from "../../types";
import { Option } from "../../utils";
import { MintAccount } from './accounts';
export declare type Mint = Readonly<{
    model: 'mint';
    address: PublicKey;
    mintAuthorityAddress: Option<PublicKey>;
    freezeAuthorityAddress: Option<PublicKey>;
    decimals: number;
    supply: SplTokenAmount;
    isWrappedSol: boolean;
    currency: SplTokenCurrency;
}>;
export declare const isMint: (value: any) => value is Readonly<{
    model: 'mint';
    address: PublicKey;
    mintAuthorityAddress: Option<PublicKey>;
    freezeAuthorityAddress: Option<PublicKey>;
    decimals: number;
    supply: SplTokenAmount;
    isWrappedSol: boolean;
    currency: SplTokenCurrency;
}>;
export declare function assertMint(value: any): asserts value is Mint;
export declare const toMint: (account: MintAccount) => Mint;
